//***************************************************************************

// Copyright (C) 2009 Realmac Software Ltd
//
// These coded instructions, statements, and computer programs contain
// unpublished proprietary information of Realmac Software Ltd
// and are protected by copyright law. They may not be disclosed
// to third parties or copied or duplicated in any form, in whole or
// in part, without the prior written consent of Realmac Software Ltd.

// Created by Danny Greg on 25/08/2010. 

//***************************************************************************

#import <Cocoa/Cocoa.h>

//***************************************************************************

@class RMRegistrationController;
@class RMRegistrationOrderCompleteViewController;

@class FsprgEmbeddedStoreController;
@class RMRegistrationProgressButton;
@class WebView;

//***************************************************************************

extern NSString *const RMRegistrationInApplicationStoreViewControllerShouldCloseNotificationName;

//***************************************************************************

@interface RMRegistrationInApplicationStoreViewController : NSViewController {
	RMRegistrationController *_registrationController;
	
	WebView *webView;
	RMRegistrationProgressButton *reloadButton;
	
	BOOL _nextButtonAvailable;
	
	FsprgEmbeddedStoreController *_fspringController;
	NSProgressIndicator *progressSpinner;
	
	RMRegistrationOrderCompleteViewController *_orderCompleteViewController;
}

- (id)initWithRegistrationController:(RMRegistrationController *)registrationController;

@property (readonly) IBOutlet WebView *webView;
@property (readonly) IBOutlet RMRegistrationProgressButton *reloadButton;
@property (readonly) IBOutlet NSProgressIndicator *progressSpinner;
@property (nonatomic, assign) BOOL nextButtonAvailable;

- (IBAction)close:(id)sender;
- (IBAction)next:(id)sender;

@end
